media_new.c File Reference
`#include "config.h"`
`#include <glib.h>`
`#include "quvi.h"`
`#include "_quvi_s.h"`
`#include "_quvi_media_s.h"`
`#include "misc/match_media_script.h"`

## Functions

quvi_media_t | quvi_media_new (quvi_t handle, const char *url)
| Parse media properties for URL.

## Function Documentation

## quvi_media_new()

quvi_media_t quvi_media_new | ( | quvi_t | handle,
|  | const char * | url )

Parse media properties for URL.

Returns
  New handle, quvi_media_free it when done using it

Note
  - Calling this function restores the current sess_handle to its initial state (cookies cleared, custom headers cleared, default user-agent string restored, ...)
  - Use quvi_ok for checking if an error occurred

See also
  parse_media